提醒:自 2021 年 11 月 1 日起,現有應用程式的所有更新都必須採用帳款服務程式庫 3.0 以上版本。瞭解詳情

淘汰 Google Play 帳款服務程式庫版本

如「瞭解 Google Play 帳款服務程式庫 3.0 版」網誌文章所述,所有新應用程式都必須採用帳款服務程式庫 3.0 版或更高版本。自 2021 年 11 月 1 日起,現有應用程式的所有更新都必須採用帳款服務程式庫 3.0 版或更高版本。

本主題會回答關於淘汰帳款服務程式庫版本及移轉至更高版本的常見問題。

如何查看哪些 APK 或應用程式套件會觸發淘汰警告?
查看專案的匯入依附元件 (例如,在專案的 build.gradle 檔案中找到的依附元件)。如要符合規範,應用程式必須匯入 Play 帳款服務程式庫 3.0.0 版或更高版本。請注意,只有需要 com.android.vending.BILLING 權限的 APK 才會存在帳單依附元件。
我不再維護的 APK 或應用程式套件使用了已淘汰的 Play 帳款服務程式庫版本。我需要更新嗎?
強烈建議您將所有 APK 更新到最新版本的 Play 帳款服務程式庫。不過,如果 APK 已不再處於維護狀態,那麼目前無須對 APK 採取任何行動。這項淘汰措施只會禁止新應用程式和更新使用舊版 Play 帳款服務程式庫。使用已淘汰版本程式庫的現有應用程式可繼續正常運作。請確保主動維護的所有 APK 皆已更新。
如何修正已更新至最新版 Play 帳款服務程式庫,但仍觸發淘汰警告的 APK 或應用程式套件?
請確認 AndroidManifest.xml 中具有一項名稱為 com.google.android.play.billingclient.version 的項目。如果找不到該項目,請檢查您的資訊清單合併設定,確認是否在合併資訊清單時,遺失了資訊清單屬性。
如何從 Play 帳款服務程式庫 2.0 版升級至 3.0 版?
將版本中的依附元件,更新成使用 3.0 版或更高版本的 Play 帳款服務程式庫。如要查看不同版本之間的異動,請閲讀「版本資訊」。
如何從 Play 帳款服務程式庫 1.0 版/ AIDL 升級至 3.0 版?
請參閱「從 AIDL 更新的移轉指南」。
我可以在哪裡瞭解這項公告的詳情?
詳情請參閱「認識 Google Play 帳款服務程式庫 3.0 版」。